diff -ru lilypond-2.10.33.orig/flower/file-name.cc lilypond-2.10.33/flower/file-name.cc
--- lilypond-2.10.33.orig/flower/file-name.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/flower/file-name.cc	2008-06-26 12:32:25.000000000 +0200
@@ -12,6 +12,7 @@
 #include <cstdio>
 #include <cerrno>
 #include <unistd.h>
+#include <limits.h>
 
 using namespace std;
 
diff -ru lilypond-2.10.33.orig/flower/include/rational.hh lilypond-2.10.33/flower/include/rational.hh
--- lilypond-2.10.33.orig/flower/include/rational.hh	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/flower/include/rational.hh	2008-06-26 12:33:03.000000000 +0200
@@ -13,6 +13,8 @@
 
 #include "std-string.hh"
 
+#include <limits.h>
+
 /**
    Rational numbers.  Included is support for + and - infinity.
 */
diff -ru lilypond-2.10.33.orig/flower/include/std-vector.hh lilypond-2.10.33/flower/include/std-vector.hh
--- lilypond-2.10.33.orig/flower/include/std-vector.hh	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/flower/include/std-vector.hh	2008-06-26 12:27:33.000000000 +0200
@@ -19,6 +19,7 @@
 #endif
 #endif
 
+#include <string>
 #include <algorithm>   /* find, reverse, sort */
 #include <functional>  /* unary_function */
 #include <cassert>
diff -ru lilypond-2.10.33.orig/lily/midi-stream.cc lilypond-2.10.33/lily/midi-stream.cc
--- lilypond-2.10.33.orig/lily/midi-stream.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/midi-stream.cc	2008-06-26 12:48:21.000000000 +0200
@@ -9,6 +9,7 @@
 #include "midi-stream.hh"
 
 #include <cerrno>
+#include <cstring>
 using namespace std;
 
 #include "international.hh"
diff -ru lilypond-2.10.33.orig/lily/piano-pedal-engraver.cc lilypond-2.10.33/lily/piano-pedal-engraver.cc
--- lilypond-2.10.33.orig/lily/piano-pedal-engraver.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/piano-pedal-engraver.cc	2008-06-26 12:51:34.000000000 +0200
@@ -10,6 +10,8 @@
   bracketed pedals.
 */
 
+#include <cstring>
+
 #include "engraver.hh"
 
 #include "axis-group-interface.hh"
@@ -37,7 +39,7 @@
 */
 
 /* Ugh: This declaration is duplicated in piano-pedal-performer */
-typedef enum Pedal_type {
+enum Pedal_type {
   SOSTENUTO,
   SUSTAIN,
   UNA_CORDA,
diff -ru lilypond-2.10.33.orig/lily/prob.cc lilypond-2.10.33/lily/prob.cc
--- lilypond-2.10.33.orig/lily/prob.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/prob.cc	2008-06-26 13:08:40.000000000 +0200
@@ -6,6 +6,7 @@
   (c) 2004--2007 Jan Nieuwenhuizen <janneke@gnu.org>
 */
 
+#include <cstring>
 #include "prob.hh"
 #include "main.hh"
 #include "item.hh"
diff -ru lilypond-2.10.33.orig/lily/relocate.cc lilypond-2.10.33/lily/relocate.cc
--- lilypond-2.10.33.orig/lily/relocate.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/relocate.cc	2008-06-26 13:09:13.000000000 +0200
@@ -16,6 +16,7 @@
 
 #include <sys/types.h>
 #include <dirent.h>
+#include <cstring>
 
 #if HAVE_GETTEXT
 #include <libintl.h>
diff -ru lilypond-2.10.33.orig/lily/source-file.cc lilypond-2.10.33/lily/source-file.cc
--- lilypond-2.10.33.orig/lily/source-file.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/source-file.cc	2008-06-26 13:58:37.000000000 +0200
@@ -18,6 +18,7 @@
 #endif
 
 #include <cstdio>
+#include <cstring>
 
 #if HAVE_SSTREAM
 #include <sstream>
diff -ru lilypond-2.10.33.orig/lily/translator.cc lilypond-2.10.33/lily/translator.cc
--- lilypond-2.10.33.orig/lily/translator.cc	2007-09-19 16:21:55.000000000 +0200
+++ lilypond-2.10.33/lily/translator.cc	2008-06-26 14:02:09.000000000 +0200
@@ -6,6 +6,8 @@
   (c) 1997--2007 Han-Wen Nienhuys <hanwen@xs4all.nl>
 */
 
+#include <cstring>
+
 #include "translator.hh"
 
 #include "context-def.hh"
